JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Attributes | List of all members
Reverb::Parameters Struct Reference
juce_audio_basics » utilities

Holds the parameters being used by a Reverb object. More...

`#include <juce_Reverb.h>`

## Public Attributes
float | roomSize = 0.5f
| Room size, 0 to 1.0, where 1.0 is big, 0 is small.
float | damping = 0.5f
| Damping, 0 to 1.0, where 0 is not damped, 1.0 is fully damped.
float | wetLevel = 0.33f
| Wet level, 0 to 1.0.
float | dryLevel = 0.4f
| Dry level, 0 to 1.0.
float | width = 1.0f
| Reverb width, 0 to 1.0, where 1.0 is very wide.
float | freezeMode = 0.0f
| Freeze mode - values < 0.5 are "normal" mode, values > 0.5 put the reverb into a continuous feedback loop.

## Detailed Description

Holds the parameters being used by a Reverb object.

## Member Data Documentation

## ◆ roomSize

float Reverb::Parameters::roomSize = 0.5f

Room size, 0 to 1.0, where 1.0 is big, 0 is small.

## ◆ damping

float Reverb::Parameters::damping = 0.5f

Damping, 0 to 1.0, where 0 is not damped, 1.0 is fully damped.

## ◆ wetLevel

float Reverb::Parameters::wetLevel = 0.33f

Wet level, 0 to 1.0.

Referenced by Reverb::setParameters().

## ◆ dryLevel

float Reverb::Parameters::dryLevel = 0.4f

Dry level, 0 to 1.0.

Referenced by Reverb::setParameters().

## ◆ width

float Reverb::Parameters::width = 1.0f

Reverb width, 0 to 1.0, where 1.0 is very wide.

Referenced by Reverb::setParameters().

## ◆ freezeMode

float Reverb::Parameters::freezeMode = 0.0f

Freeze mode - values < 0.5 are "normal" mode, values > 0.5 put the reverb into a continuous feedback loop.

Referenced by Reverb::setParameters().

The documentation for this struct was generated from the following file:

- juce_audio_basics/utilities/juce_Reverb.h